from tree import RGBXmasTree
from colorzero import Color, Hue
import time, random
# Write your program below

colors = [Color("red"), Color("green"),
          Color("white"), Color("gold")]
interval = 1

tree = RGBXmasTree()
starLight = tree.star()
starLight.color = Color("gray")

for light in tree.nonStarLights():
    light.color = random.choice(colors)

while True:
    try:
        for light in tree.nonStarLights():
            light.color = random.choice(colors)
        
        tree.brightness = random.random()
        time.sleep(interval)
    except KeyboardInterrupt:
        break

tree.off()

# Write your program above this line
tree.close()